Skip to main content
GET
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
grouped_transactions_report
Get EndUser transactions grouped by counterparty or merchant
curl --request GET \
  --url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/grouped_transactions_report \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/grouped_transactions_report"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/grouped_transactions_report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "counterparty": "<string>",
    "merchant": {
      "categories": [
        {
          "code": "7311",
          "description": "Advertising services",
          "slug": "advertising_services"
        }
      ],
      "heron_id": "mrc_LwLGjsNcxuKSz5zCZcBvi7",
      "icon_url": "<string>",
      "logo_url": "<string>",
      "name": "<string>"
    },
    "transaction_groups": [
      {
        "transactions": [
          {
            "amount": {
              "amount": "1234.56",
              "currency": "USD"
            },
            "category": {
              "heron_id": "<string>",
              "label": "<string>"
            },
            "description": "<string>",
            "heron_id": "<string>",
            "timestamp": "2023-11-07T05:31:56Z"
          }
        ]
      }
    ]
  }
]

Authorizations

x-api-key
string
header
required

Path Parameters

end_user_id_or_heron_id
string
required

Response

200 - application/json

OK

counterparty
string
merchant
object
transaction_groups
object[]